Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Interface Delimiter

All Known Implementing Classes:
  AbstractDelimiter, FieldDelimiter, NameDelimiter, NullDelimiter, RecordDelimiter, RepeatDelimiter, SegmentDelimiter, SubfieldDelimiter

    public interface Delimiter

Field Summary
`static Delimiter[]` | `EMPTY_DELIMITER_ARRAY`
`static Delimiter` | `NULL`

Method Summary
`ByteDelimiterExtractor` | `createByteDelimiterExtractor(java.nio.charset.Charset charset)`
`CharDelimiterExtractor` | `createCharDelimiterExtractor()`
`DelimiterExtractor` | `createDelimiterExtractor(java.nio.charset.Charset charset)`
`boolean` | `equalsString(java.lang.String s)`
`boolean` | `forReading()`
`boolean` | `forWriting()`
`boolean` | `isEmpty()`
`boolean` | `occursIn(java.lang.String s)`
`void` | `writeEndDelimiterTo(RecordOutput recordOutput)`
`void` | `writeEndDelimiterTo(java.lang.StringBuilder buffer)`

Field Detail

### NULL

    static final Delimiter NULL

### EMPTY_DELIMITER_ARRAY

    static final Delimiter[] EMPTY_DELIMITER_ARRAY

Method Detail

### writeEndDelimiterTo

    void writeEndDelimiterTo(java.lang.StringBuilder buffer)

### writeEndDelimiterTo

    void writeEndDelimiterTo(RecordOutput recordOutput)

### isEmpty

    boolean isEmpty()

### occursIn

    boolean occursIn(java.lang.String s)

### equalsString

    boolean equalsString(java.lang.String s)

### createDelimiterExtractor

    DelimiterExtractor createDelimiterExtractor(java.nio.charset.Charset charset)

### createByteDelimiterExtractor

    ByteDelimiterExtractor createByteDelimiterExtractor(java.nio.charset.Charset charset)

### createCharDelimiterExtractor

    CharDelimiterExtractor createCharDelimiterExtractor()

### forReading

    boolean forReading()

### forWriting

    boolean forWriting()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD